%include %{_rpmconfigdir}/macros.python3

Name: python3-pyyaml
Version: 5.3.1
Release: 1
License: MIT
Summary: A YAML parser and emitter for Python
Url: https://github.com/yaml/pyyaml

Source: https://files.pythonhosted.org/packages/64/c2/b80047c7ac2478f9501676c988a5411ed5572f35d1beff9cae07d321512c/PyYAML-5.3.1.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: libyaml-devel
BuildRequires: pkg-config

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and emitter for
Python.

%prep
%setup -q -n PyYAML-%{version}

# Fix the wrong dependencies /usr/bin/python
find . -type f | xargs perl -pi -e 's|/usr/bin/python|%{_bindir}/python3|g'

%build

python3 setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/_yaml*
%{py_sitedir}/yaml*
%{py_sitedir}/PyYAML*

%changelog
* Mon Jun 1 2020 - Xu Meng <mengxumx@cn.ibm.com> - 5.3.1
- Initial commit
